> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/reboot/{deviceId} > Trigger a device reboot ## OpenAPI ````json PUT /v1/diagnostic/reboot/{deviceId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/reboot/{deviceId}": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "Valid Provisioned device ID", "schema": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "example": 1000000 } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticRebootDeviceIdPutRequest" } } } }, "responses": { "204": { "description": "No Content" } }, "description": "Trigger a device reboot" } } }, "components": { "schemas": { "v1DiagnosticRebootDeviceIdPutRequest": { "type": "object", "properties": { "reason": { "type": "string", "example": "User requested reboot", "description": "Reason for reboot (required)" } }, "additionalProperties": false, "required": [ "reason" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````